Name:       gnome-shell-extension-activities-configurator
Summary:    Configure the top bar and Activities button in GNOME Shell
Version:    61
Release:    1%{?dist}
URL:        https://extensions.gnome.org/extension/358/activities-configurator/
License:    GPLv2
BuildArch:  noarch

# You can see the latest source releases here:
# https://nls1729.github.io/activities_config_zip.html
# With the changelog here (click on Latest Update):
# https://nls1729.github.io/activities_config.html
Source0: https://extensions.gnome.org/extension-data/activities-config@nls1729.v%{version}.shell-extension.zip
Source1: README.md

Requires: gnome-shell >= 3.24
Requires: gnome-shell-extension-common

Recommends: gnome-tweak-tool



%description
Activities Configurator gives you all sorts of options to control the look and
feel of the top bar and Activities button in GNOME Shell, possibly even
overriding your current Shell theme. You can change or remove the Activities
button text, add an icon, move it to right corner, change the top bar's
background color and transparency... You can toggle the Overview if no
applications are running (at login and whenever the last application window is
closed). You can also adjust the "pressure" threshold for the hot corner, or
disable it altogether.



# UUID is defined in extension's metadata.json and used as directory name.
%global  UUID                  activities-config@nls1729
%global  gnome_extensions_dir  %{_datadir}/gnome-shell/extensions/
%global  final_install_dir     %{buildroot}/%{gnome_extensions_dir}/%{UUID}

%prep
%autosetup -c %{name}-%{version}

%build
# No compilation necessary.

%install
mkdir -p %{final_install_dir}
cp --recursive --preserve=mode,timestamps  ./*  %{final_install_dir}
cp --recursive --preserve=mode,timestamps  %{SOURCE1}  ./README-fedora.md

# License and README get copied to system directories for docs and license.
rm  %{final_install_dir}/COPYING  %{final_install_dir}/README.txt

# RPM will take care of gschemas, we don't need to include a precompiled copy.
mkdir -p %{buildroot}/%{_datadir}/glib-2.0/schemas/
mv  %{final_install_dir}/schemas/org.gnome.shell.extensions.activities-config.gschema.xml  \
    %{buildroot}/%{_datadir}/glib-2.0/schemas/
rm --recursive %{final_install_dir}/schemas/

mv  %{final_install_dir}/locale  %{buildroot}/%{_datadir}/
%find_lang activities-config-extension



%files -f activities-config-extension.lang
%doc README.txt  README-fedora.md
%license COPYING
%{gnome_extensions_dir}/%{UUID}/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.activities-config.gschema.xml



%changelog
* Tue Nov 21 2017 Andrew Toskin <andrew@tosk.in> - 61-1
- Bump to upstream version 61.
- The developer made several releases in a short time frame:
    - v59 tag seems to have been skipped.
    - v60 added support for Ubuntu's customized GNOME session, and removed
      support for older versions of GNOME Shell (new minimum is GNOME 3.24).
    - v61 allows activating the overview during drag-and-drop even if the hot
      corner is disabled.

* Mon Oct 30 2017 Andrew Toskin <andrew@tosk.in> - 58-2
- Move setup notes from RPM description to packaged README-fedora file.

* Sun Oct 22 2017 Andrew Toskin <andrew@tosk.in> - 58-1
- Bump to upstream version 58, which ensures compatibility with latest GNOME
  Shell.

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 57-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 12 2017 Andrew Toskin <andrew@tosk.in> - 57-1
- Bump to upstream version 57, which fixes a translation error.

* Fri Jun 23 2017 Andrew Toskin <andrew@tosk.in> - 56-1
- Bump to upstream version 56, which fixes subtle bug in UI.

* Tue May 23 2017 Andrew Toskin <andrew@tosk.in> - 55-1
- Bump to upstream version 55, which updates the localization.

* Sat Apr 08 2017 Andrew Toskin <andrew@tosk.in> - 54-1
- Update to upstream version 54, which fixes a bug when running in GNOME 3.24.

* Tue Mar 14 2017 Andrew Toskin <andrew@tosk.in> - 53-1
- First working build accepted into Fedora.
